# Created by pyp2rpm-3.3.5
%global pypi_name azure-mgmt-core

Name:           python-%{pypi_name}
Version:        1.3.2
Release:        %mkrel 1
Summary:        Microsoft Azure Management Core Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/main/sdk/core/azure-mgmt-core
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(azure-core)
BuildRequires:  python3dist(setuptools)

%description
Azure management core library defines extensions to Azure Core that are specific
to ARM (Azure Resource Management) needed when you use client libraries.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(azure-core)
%description -n python3-%{pypi_name}
Azure management core library defines extensions to Azure Core that are specific
to ARM (Azure Resource Management) needed when you use client libraries.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md



%changelog
* Mon Sep 05 2022 neoclust <neoclust> 1.3.2-1.mga9
+ Revision: 1884036
- New version 1.3.2

* Thu Jul 14 2022 papoteur <papoteur> 1.3.1-1.mga9
+ Revision: 1868780
- imported package python-azure-mgmt-core

